"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initGenerator = exports.defaultOptions = exports.webDevServerPluginPath = void 0;
const devkit_1 = require("@nx/devkit");
exports.webDevServerPluginPath = '@robby-rabbitman/nx-plus-web-dev-server/plugin';
exports.defaultOptions = {
    skipAddPlugin: false,
    skipFormat: false,
    targetName: 'serve',
};
const initGenerator = async (tree, schema) => {
    const { skipAddPlugin, skipFormat, targetName } = {
        ...exports.defaultOptions,
        ...schema,
    };
    if (!skipAddPlugin) {
        const nxJson = (0, devkit_1.readNxJson)(tree);
        nxJson.plugins ??= [];
        const hasPlugin = nxJson.plugins.some((pluginConfig) => typeof pluginConfig === 'string'
            ? pluginConfig === exports.webDevServerPluginPath
            : pluginConfig.plugin === exports.webDevServerPluginPath);
        if (!hasPlugin) {
            nxJson.plugins.push(webDevServerPluginConfiguration(targetName));
            (0, devkit_1.updateNxJson)(tree, nxJson);
        }
    }
    if (!skipFormat) {
        await (0, devkit_1.formatFiles)(tree);
    }
};
exports.initGenerator = initGenerator;
exports.default = exports.initGenerator;
const webDevServerPluginConfiguration = (targetName) => ({
    plugin: exports.webDevServerPluginPath,
    options: {
        targetName,
    },
});
//# sourceMappingURL=init.js.map